Bug 77796 - [MAINTAINER] update java/java-tutorial to jdk-tutorial-2005.02.17
Summary: [MAINTAINER] update java/java-tutorial to jdk-tutorial-2005.02.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-20 19:20 UTC by root
Modified: 2005-02-21 00:59 UTC (History)
0 users

See Also:


Attachments
java-tutorial.diff (3.90 KB, patch)
2005-02-20 19:20 UTC, root
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description root 2005-02-20 19:20:00 UTC
	[MAINTAINER] update java/java-tutorial to jdk-tutorial-2005.02.17

	1) Updated manual to most recent version.
	2) added WITH_EXTRAS knob to include source code examples

Fix: N/A
Comment 1 Herve Quiroz freebsd_committer 2005-02-20 22:43:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 Herve Quiroz freebsd_committer 2005-02-20 22:46:46 UTC
State Changed
From-To: open->feedback

Here are some suggestions: 

- PORTREVISION= 0 is useless. 
- I think the port should notify the user about WITH_EXTRAS option before 
installing the port. 
- The "Set your browser to ${DOCSDIR}/index.html" statement is indeed quite 
useful but would be better in pkg-message as the statement will not be 
displayed when installing from a package. I suggest using 
files/pkg-message.in (using %%DOCSDIR%%) and SUB_FILES=pkg-message.
Comment 3 Michael C.Shultz 2005-02-20 23:27:46 UTC
Here are some suggestions: 

- PORTREVISION= 0 is useless. 

Agreed

>- I think the port should notify the user about WITH_EXTRAS option 
>before installing the port. 

Agreed

>- The "Set your browser to ${DOCSDIR}/index.html" statement is indeed 
>quite  useful but would be better in pkg-message as the statement will 
>not be displayed when installing from a package. I suggest using 
>files/pkg-message.in (using %%DOCSDIR%%) and SUB_FILES=pkg-message

This port makes little sense as a package and is why I didn't set up 
pkg-message.  It is made only of documents.  Ability to control 
pkg-message with the WITH_EXTRAS statement is a bit more involved.  
There may be a way to create pkg-message "on the fly" during an earlier 
target like extract or build by using something like

 @${CAT} ${MESSAGE} >  ${PKGMESSAGE}

then I can still adjust ${MESSAGE} if WITH_EXTRAS is defined
and feed it into ${PKGMESSAGE}.  It will take a little time to 
experiment with this and to get it right, mean while this port is 
unfetchable and the PR as submitted works.  I'll leave it up to you
to decide wither to commit now or wait until I've made the cosmetic
changes you've suggested.

-Mike
Comment 4 Hervé Quiroz 2005-02-21 00:29:29 UTC
Hi Michael,

On Sun, Feb 20, 2005 at 03:27:46PM -0800, Michael C. Shultz wrote:
> This port makes little sense as a package 

Indeed, you're right. My bad. :)

I'll commit the patch as-is (without the PORTREVISION line). But I think
we should move the message to post-extract target (or any other you feel
more relevant which occurs before the port is actually installed). If
you agree with that, no need to send another PR, you may just send the
patch directly to me.

Herve
Comment 5 Michael C.Shultz 2005-02-21 00:38:01 UTC
On Sunday 20 February 2005 04:29 pm, Herve Quiroz wrote:
> Hi Michael,
>
> On Sun, Feb 20, 2005 at 03:27:46PM -0800, Michael C. Shultz wrote:
> > This port makes little sense as a package
>
> Indeed, you're right. My bad. :)
>
> I'll commit the patch as-is (without the PORTREVISION line). But I
> think we should move the message to post-extract target (or any other
> you feel more relevant which occurs before the port is actually
> installed). If you agree with that, no need to send another PR, you
> may just send the patch directly to me.
>
> Herve

I do think having the message show when its packaged is a good
idea, I need to do the same thing for another port as well so I 
appreciate that you suggested it.  However I want to manipultate the 
message depending on WITH_* defines because, well because I just want 
to, so this is an interesting chalange.

Now that I am not under a time constrant there is no excuse not to put 
in everything you suggested.  I'll send a patch to you when it is ready 
and I hope you will nit pick it to death, because again time is a no 
longer a factor and I do like ports to be absolutely perfect, or as 
close as possible anyways. :)

-Mike
Comment 6 Herve Quiroz freebsd_committer 2005-02-21 00:58:44 UTC
State Changed
From-To: feedback->closed

Patch commited. 

Thanks for your contribution.